<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::StringRef Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a> &#124;
<a href="classCatch_1_1StringRef-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::StringRef Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a06b4db8fc82b197004291cf370b2ba7c"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a> = std::size_t</td></tr>
<tr class="separator:a06b4db8fc82b197004291cf370b2ba7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3aa3d16f48b5429a480f823c504f93c"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#ac3aa3d16f48b5429a480f823c504f93c">const_iterator</a> = const char *</td></tr>
<tr class="separator:ac3aa3d16f48b5429a480f823c504f93c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06b4db8fc82b197004291cf370b2ba7c"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a> = std::size_t</td></tr>
<tr class="separator:a06b4db8fc82b197004291cf370b2ba7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3aa3d16f48b5429a480f823c504f93c"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#ac3aa3d16f48b5429a480f823c504f93c">const_iterator</a> = const char *</td></tr>
<tr class="separator:ac3aa3d16f48b5429a480f823c504f93c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a611907867225695d38198c058758c92d"><td class="memItemLeft" align="right" valign="top">constexpr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a611907867225695d38198c058758c92d">StringRef</a> () noexcept=default</td></tr>
<tr class="separator:a611907867225695d38198c058758c92d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea45f5089c53adac362bff6bd7c40943"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#aea45f5089c53adac362bff6bd7c40943">StringRef</a> (char const *rawChars) noexcept</td></tr>
<tr class="separator:aea45f5089c53adac362bff6bd7c40943"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36df94807491c0ad84184fb8e44e1a7c"><td class="memItemLeft" align="right" valign="top">constexpr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a36df94807491c0ad84184fb8e44e1a7c">StringRef</a> (char const *rawChars, <a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a> <a class="el" href="classCatch_1_1StringRef.html#acb22719801de2b64361b4c283080d4e5">size</a>) noexcept</td></tr>
<tr class="separator:a36df94807491c0ad84184fb8e44e1a7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fe41469048f906e9a847798cd335f23"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a7fe41469048f906e9a847798cd335f23">StringRef</a> (std::string const &amp;stdString) noexcept</td></tr>
<tr class="separator:a7fe41469048f906e9a847798cd335f23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9fde21785affacc32d7da7a70d74e93"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#ad9fde21785affacc32d7da7a70d74e93">operator std::string</a> () const</td></tr>
<tr class="separator:ad9fde21785affacc32d7da7a70d74e93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabb30149ab961187e4b3ff3394bf6e73"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#aabb30149ab961187e4b3ff3394bf6e73">operator==</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;other) const noexcept -&gt; bool</td></tr>
<tr class="separator:aabb30149ab961187e4b3ff3394bf6e73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa6c8bf61c4628034c19763d1c8ad215"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#aaa6c8bf61c4628034c19763d1c8ad215">operator!=</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;other) const noexcept -&gt; bool</td></tr>
<tr class="separator:aaa6c8bf61c4628034c19763d1c8ad215"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ba2e01eec1f0f56c257d213c796ab3b"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a4ba2e01eec1f0f56c257d213c796ab3b">operator[]</a> (<a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a> index) const noexcept -&gt; char</td></tr>
<tr class="separator:a4ba2e01eec1f0f56c257d213c796ab3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b4841c28cbb14ba07296964a0187023"><td class="memItemLeft" align="right" valign="top">constexpr auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a0b4841c28cbb14ba07296964a0187023">empty</a> () const noexcept -&gt; bool</td></tr>
<tr class="separator:a0b4841c28cbb14ba07296964a0187023"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb22719801de2b64361b4c283080d4e5"><td class="memItemLeft" align="right" valign="top">constexpr auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#acb22719801de2b64361b4c283080d4e5">size</a> () const noexcept -&gt; <a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a></td></tr>
<tr class="separator:acb22719801de2b64361b4c283080d4e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1669cb2765e820ca258159676cbd82a5"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a1669cb2765e820ca258159676cbd82a5">c_str</a> () const -&gt; char const *</td></tr>
<tr class="separator:a1669cb2765e820ca258159676cbd82a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a594bc3e10ffad77df92f7d1a4c99d7ff"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a594bc3e10ffad77df92f7d1a4c99d7ff">substr</a> (<a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a> start, <a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a> length) const noexcept -&gt; <a class="el" href="classCatch_1_1StringRef.html">StringRef</a></td></tr>
<tr class="separator:a594bc3e10ffad77df92f7d1a4c99d7ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0f85edde9f97153fc758fac3bb14507"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#ab0f85edde9f97153fc758fac3bb14507">data</a> () const noexcept -&gt; char const *</td></tr>
<tr class="separator:ab0f85edde9f97153fc758fac3bb14507"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a646e58f5f4e1f5e82cfba06d9fd5d016"><td class="memItemLeft" align="right" valign="top">constexpr auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a646e58f5f4e1f5e82cfba06d9fd5d016">isNullTerminated</a> () const noexcept -&gt; bool</td></tr>
<tr class="separator:a646e58f5f4e1f5e82cfba06d9fd5d016"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0adc7198d60867c2842b998ae456795"><td class="memItemLeft" align="right" valign="top">constexpr <a class="el" href="classCatch_1_1StringRef.html#ac3aa3d16f48b5429a480f823c504f93c">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#ab0adc7198d60867c2842b998ae456795">begin</a> () const</td></tr>
<tr class="separator:ab0adc7198d60867c2842b998ae456795"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ce9afc711b559d6cc59666898fc0828"><td class="memItemLeft" align="right" valign="top">constexpr <a class="el" href="classCatch_1_1StringRef.html#ac3aa3d16f48b5429a480f823c504f93c">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a3ce9afc711b559d6cc59666898fc0828">end</a> () const</td></tr>
<tr class="separator:a3ce9afc711b559d6cc59666898fc0828"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a611907867225695d38198c058758c92d"><td class="memItemLeft" align="right" valign="top">constexpr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a611907867225695d38198c058758c92d">StringRef</a> () noexcept=default</td></tr>
<tr class="separator:a611907867225695d38198c058758c92d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea45f5089c53adac362bff6bd7c40943"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#aea45f5089c53adac362bff6bd7c40943">StringRef</a> (char const *rawChars) noexcept</td></tr>
<tr class="separator:aea45f5089c53adac362bff6bd7c40943"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36df94807491c0ad84184fb8e44e1a7c"><td class="memItemLeft" align="right" valign="top">constexpr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a36df94807491c0ad84184fb8e44e1a7c">StringRef</a> (char const *rawChars, <a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a> <a class="el" href="classCatch_1_1StringRef.html#acb22719801de2b64361b4c283080d4e5">size</a>) noexcept</td></tr>
<tr class="separator:a36df94807491c0ad84184fb8e44e1a7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fe41469048f906e9a847798cd335f23"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a7fe41469048f906e9a847798cd335f23">StringRef</a> (std::string const &amp;stdString) noexcept</td></tr>
<tr class="separator:a7fe41469048f906e9a847798cd335f23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9fde21785affacc32d7da7a70d74e93"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#ad9fde21785affacc32d7da7a70d74e93">operator std::string</a> () const</td></tr>
<tr class="separator:ad9fde21785affacc32d7da7a70d74e93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabb30149ab961187e4b3ff3394bf6e73"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#aabb30149ab961187e4b3ff3394bf6e73">operator==</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;other) const noexcept -&gt; bool</td></tr>
<tr class="separator:aabb30149ab961187e4b3ff3394bf6e73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa6c8bf61c4628034c19763d1c8ad215"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#aaa6c8bf61c4628034c19763d1c8ad215">operator!=</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;other) const noexcept -&gt; bool</td></tr>
<tr class="separator:aaa6c8bf61c4628034c19763d1c8ad215"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ba2e01eec1f0f56c257d213c796ab3b"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a4ba2e01eec1f0f56c257d213c796ab3b">operator[]</a> (<a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a> index) const noexcept -&gt; char</td></tr>
<tr class="separator:a4ba2e01eec1f0f56c257d213c796ab3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b4841c28cbb14ba07296964a0187023"><td class="memItemLeft" align="right" valign="top">constexpr auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a0b4841c28cbb14ba07296964a0187023">empty</a> () const noexcept -&gt; bool</td></tr>
<tr class="separator:a0b4841c28cbb14ba07296964a0187023"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb22719801de2b64361b4c283080d4e5"><td class="memItemLeft" align="right" valign="top">constexpr auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#acb22719801de2b64361b4c283080d4e5">size</a> () const noexcept -&gt; <a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a></td></tr>
<tr class="separator:acb22719801de2b64361b4c283080d4e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1669cb2765e820ca258159676cbd82a5"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a1669cb2765e820ca258159676cbd82a5">c_str</a> () const -&gt; char const *</td></tr>
<tr class="separator:a1669cb2765e820ca258159676cbd82a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a594bc3e10ffad77df92f7d1a4c99d7ff"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a594bc3e10ffad77df92f7d1a4c99d7ff">substr</a> (<a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a> start, <a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a> length) const noexcept -&gt; <a class="el" href="classCatch_1_1StringRef.html">StringRef</a></td></tr>
<tr class="separator:a594bc3e10ffad77df92f7d1a4c99d7ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0f85edde9f97153fc758fac3bb14507"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#ab0f85edde9f97153fc758fac3bb14507">data</a> () const noexcept -&gt; char const *</td></tr>
<tr class="separator:ab0f85edde9f97153fc758fac3bb14507"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a646e58f5f4e1f5e82cfba06d9fd5d016"><td class="memItemLeft" align="right" valign="top">constexpr auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a646e58f5f4e1f5e82cfba06d9fd5d016">isNullTerminated</a> () const noexcept -&gt; bool</td></tr>
<tr class="separator:a646e58f5f4e1f5e82cfba06d9fd5d016"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0adc7198d60867c2842b998ae456795"><td class="memItemLeft" align="right" valign="top">constexpr <a class="el" href="classCatch_1_1StringRef.html#ac3aa3d16f48b5429a480f823c504f93c">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#ab0adc7198d60867c2842b998ae456795">begin</a> () const</td></tr>
<tr class="separator:ab0adc7198d60867c2842b998ae456795"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ce9afc711b559d6cc59666898fc0828"><td class="memItemLeft" align="right" valign="top">constexpr <a class="el" href="classCatch_1_1StringRef.html#ac3aa3d16f48b5429a480f823c504f93c">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a3ce9afc711b559d6cc59666898fc0828">end</a> () const</td></tr>
<tr class="separator:a3ce9afc711b559d6cc59666898fc0828"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a45f38edd8d2a56a66626f4895b3071fc"><td class="memItemLeft" align="right" valign="top">char const  *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a45f38edd8d2a56a66626f4895b3071fc">m_start</a> = <a class="el" href="classCatch_1_1StringRef.html#a29b06b99995b450e28abbec9e800b2dc">s_empty</a></td></tr>
<tr class="separator:a45f38edd8d2a56a66626f4895b3071fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91ee253f5b7e43303352186139845753"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a91ee253f5b7e43303352186139845753">m_size</a> = 0</td></tr>
<tr class="separator:a91ee253f5b7e43303352186139845753"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a29b06b99995b450e28abbec9e800b2dc"><td class="memItemLeft" align="right" valign="top">static constexpr char const  *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1StringRef.html#a29b06b99995b450e28abbec9e800b2dc">s_empty</a> = &quot;&quot;</td></tr>
<tr class="separator:a29b06b99995b450e28abbec9e800b2dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A non-owning string class (similar to the forthcoming std::string_view) Note that, because a <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> may be a substring of another string, it may not be null terminated. </p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a id="ac3aa3d16f48b5429a480f823c504f93c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3aa3d16f48b5429a480f823c504f93c">&#9670;&nbsp;</a></span>const_iterator <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classCatch_1_1StringRef.html#ac3aa3d16f48b5429a480f823c504f93c">Catch::StringRef::const_iterator</a> =  const char*</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac3aa3d16f48b5429a480f823c504f93c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3aa3d16f48b5429a480f823c504f93c">&#9670;&nbsp;</a></span>const_iterator <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classCatch_1_1StringRef.html#ac3aa3d16f48b5429a480f823c504f93c">Catch::StringRef::const_iterator</a> =  const char*</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a06b4db8fc82b197004291cf370b2ba7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06b4db8fc82b197004291cf370b2ba7c">&#9670;&nbsp;</a></span>size_type <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">Catch::StringRef::size_type</a> =  std::size_t</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a06b4db8fc82b197004291cf370b2ba7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06b4db8fc82b197004291cf370b2ba7c">&#9670;&nbsp;</a></span>size_type <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">Catch::StringRef::size_type</a> =  std::size_t</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a611907867225695d38198c058758c92d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a611907867225695d38198c058758c92d">&#9670;&nbsp;</a></span>StringRef() <span class="overload">[1/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr Catch::StringRef::StringRef </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span><span class="mlabel">default</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aea45f5089c53adac362bff6bd7c40943"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea45f5089c53adac362bff6bd7c40943">&#9670;&nbsp;</a></span>StringRef() <span class="overload">[2/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::StringRef::StringRef </td>
          <td>(</td>
          <td class="paramtype">char const *&#160;</td>
          <td class="paramname"><em>rawChars</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a36df94807491c0ad84184fb8e44e1a7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36df94807491c0ad84184fb8e44e1a7c">&#9670;&nbsp;</a></span>StringRef() <span class="overload">[3/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr Catch::StringRef::StringRef </td>
          <td>(</td>
          <td class="paramtype">char const *&#160;</td>
          <td class="paramname"><em>rawChars</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a>&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7fe41469048f906e9a847798cd335f23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fe41469048f906e9a847798cd335f23">&#9670;&nbsp;</a></span>StringRef() <span class="overload">[4/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::StringRef::StringRef </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>stdString</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a611907867225695d38198c058758c92d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a611907867225695d38198c058758c92d">&#9670;&nbsp;</a></span>StringRef() <span class="overload">[5/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr Catch::StringRef::StringRef </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">constexpr</span><span class="mlabel">default</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aea45f5089c53adac362bff6bd7c40943"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea45f5089c53adac362bff6bd7c40943">&#9670;&nbsp;</a></span>StringRef() <span class="overload">[6/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::StringRef::StringRef </td>
          <td>(</td>
          <td class="paramtype">char const *&#160;</td>
          <td class="paramname"><em>rawChars</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a36df94807491c0ad84184fb8e44e1a7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36df94807491c0ad84184fb8e44e1a7c">&#9670;&nbsp;</a></span>StringRef() <span class="overload">[7/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr Catch::StringRef::StringRef </td>
          <td>(</td>
          <td class="paramtype">char const *&#160;</td>
          <td class="paramname"><em>rawChars</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a>&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7fe41469048f906e9a847798cd335f23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fe41469048f906e9a847798cd335f23">&#9670;&nbsp;</a></span>StringRef() <span class="overload">[8/8]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::StringRef::StringRef </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>stdString</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab0adc7198d60867c2842b998ae456795"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0adc7198d60867c2842b998ae456795">&#9670;&nbsp;</a></span>begin() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr <a class="el" href="classCatch_1_1StringRef.html#ac3aa3d16f48b5429a480f823c504f93c">const_iterator</a> Catch::StringRef::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab0adc7198d60867c2842b998ae456795"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0adc7198d60867c2842b998ae456795">&#9670;&nbsp;</a></span>begin() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr <a class="el" href="classCatch_1_1StringRef.html#ac3aa3d16f48b5429a480f823c504f93c">const_iterator</a> Catch::StringRef::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1669cb2765e820ca258159676cbd82a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1669cb2765e820ca258159676cbd82a5">&#9670;&nbsp;</a></span>c_str() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::StringRef::c_str </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  char const *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1669cb2765e820ca258159676cbd82a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1669cb2765e820ca258159676cbd82a5">&#9670;&nbsp;</a></span>c_str() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::StringRef::c_str </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  char const *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab0f85edde9f97153fc758fac3bb14507"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0f85edde9f97153fc758fac3bb14507">&#9670;&nbsp;</a></span>data() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::StringRef::data </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  char const *</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab0f85edde9f97153fc758fac3bb14507"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0f85edde9f97153fc758fac3bb14507">&#9670;&nbsp;</a></span>data() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::StringRef::data </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  char const *</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0b4841c28cbb14ba07296964a0187023"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b4841c28cbb14ba07296964a0187023">&#9670;&nbsp;</a></span>empty() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr auto Catch::StringRef::empty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; bool </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0b4841c28cbb14ba07296964a0187023"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b4841c28cbb14ba07296964a0187023">&#9670;&nbsp;</a></span>empty() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr auto Catch::StringRef::empty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; bool </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3ce9afc711b559d6cc59666898fc0828"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ce9afc711b559d6cc59666898fc0828">&#9670;&nbsp;</a></span>end() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr <a class="el" href="classCatch_1_1StringRef.html#ac3aa3d16f48b5429a480f823c504f93c">const_iterator</a> Catch::StringRef::end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3ce9afc711b559d6cc59666898fc0828"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ce9afc711b559d6cc59666898fc0828">&#9670;&nbsp;</a></span>end() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr <a class="el" href="classCatch_1_1StringRef.html#ac3aa3d16f48b5429a480f823c504f93c">const_iterator</a> Catch::StringRef::end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a646e58f5f4e1f5e82cfba06d9fd5d016"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a646e58f5f4e1f5e82cfba06d9fd5d016">&#9670;&nbsp;</a></span>isNullTerminated() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr auto Catch::StringRef::isNullTerminated </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; bool </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a646e58f5f4e1f5e82cfba06d9fd5d016"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a646e58f5f4e1f5e82cfba06d9fd5d016">&#9670;&nbsp;</a></span>isNullTerminated() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr auto Catch::StringRef::isNullTerminated </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; bool </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad9fde21785affacc32d7da7a70d74e93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9fde21785affacc32d7da7a70d74e93">&#9670;&nbsp;</a></span>operator std::string() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::StringRef::operator std::string </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad9fde21785affacc32d7da7a70d74e93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9fde21785affacc32d7da7a70d74e93">&#9670;&nbsp;</a></span>operator std::string() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::StringRef::operator std::string </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aaa6c8bf61c4628034c19763d1c8ad215"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa6c8bf61c4628034c19763d1c8ad215">&#9670;&nbsp;</a></span>operator!=() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::StringRef::operator!= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const -&gt; bool </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aaa6c8bf61c4628034c19763d1c8ad215"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa6c8bf61c4628034c19763d1c8ad215">&#9670;&nbsp;</a></span>operator!=() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::StringRef::operator!= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const -&gt; bool </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aabb30149ab961187e4b3ff3394bf6e73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabb30149ab961187e4b3ff3394bf6e73">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::StringRef::operator== </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const -&gt;  bool</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aabb30149ab961187e4b3ff3394bf6e73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabb30149ab961187e4b3ff3394bf6e73">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::StringRef::operator== </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const -&gt;  bool</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4ba2e01eec1f0f56c257d213c796ab3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ba2e01eec1f0f56c257d213c796ab3b">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::StringRef::operator[] </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a>&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const -&gt; char </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4ba2e01eec1f0f56c257d213c796ab3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ba2e01eec1f0f56c257d213c796ab3b">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::StringRef::operator[] </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a>&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const -&gt; char </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acb22719801de2b64361b4c283080d4e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb22719801de2b64361b4c283080d4e5">&#9670;&nbsp;</a></span>size() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr auto Catch::StringRef::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a> </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acb22719801de2b64361b4c283080d4e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb22719801de2b64361b4c283080d4e5">&#9670;&nbsp;</a></span>size() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr auto Catch::StringRef::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt; <a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a> </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a594bc3e10ffad77df92f7d1a4c99d7ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a594bc3e10ffad77df92f7d1a4c99d7ff">&#9670;&nbsp;</a></span>substr() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::StringRef::substr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a>&#160;</td>
          <td class="paramname"><em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a>&#160;</td>
          <td class="paramname"><em>length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const -&gt;  <a class="el" href="classCatch_1_1StringRef.html">StringRef</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a594bc3e10ffad77df92f7d1a4c99d7ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a594bc3e10ffad77df92f7d1a4c99d7ff">&#9670;&nbsp;</a></span>substr() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::StringRef::substr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a>&#160;</td>
          <td class="paramname"><em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a>&#160;</td>
          <td class="paramname"><em>length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const -&gt;  <a class="el" href="classCatch_1_1StringRef.html">StringRef</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a91ee253f5b7e43303352186139845753"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91ee253f5b7e43303352186139845753">&#9670;&nbsp;</a></span>m_size</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1StringRef.html#a06b4db8fc82b197004291cf370b2ba7c">size_type</a> Catch::StringRef::m_size = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a45f38edd8d2a56a66626f4895b3071fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45f38edd8d2a56a66626f4895b3071fc">&#9670;&nbsp;</a></span>m_start</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char const  * Catch::StringRef::m_start = <a class="el" href="classCatch_1_1StringRef.html#a29b06b99995b450e28abbec9e800b2dc">s_empty</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a29b06b99995b450e28abbec9e800b2dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29b06b99995b450e28abbec9e800b2dc">&#9670;&nbsp;</a></span>s_empty</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static constexpr char const  *const Catch::StringRef::s_empty = &quot;&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">constexpr</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
